Package org.eclipse.wst.xsl.core.internal.validation

## org.eclipse.wst.xsl.core.internal.validation
Class XSLValidator

    public class XSLValidator
    extends java.lang.Object

The XSL validator for workspace XSL files.

## Method Summary

`public static org.eclipse.wst.xsl.core.internal.validation.XSLValidator` | `getInstance()` Get the singleton XSLValidator instance.
`public ValidationReport` | `validate(IFile xslFile , boolean forceBuild)` Validate the given XSL file. Same as `validate(xslFile,report,forceBuild)` except a new report is created and returned.
`public void` | `validate(IFile xslFile , org.eclipse.wst.xsl.core.internal.validation.XSLValidationReport report , boolean forceBuild)` Validate the given XSL file using the specified report.

## Methods Detail

## getInstance

`public org.eclipse.wst.xsl.core.internal.validation.XSLValidator getInstance()`

Get the singleton XSLValidator instance.

### Returns

`org.eclipse.wst.xsl.core.internal.validation.XSLValidator` - the singleton XSLValidator instance

## validate

`public ValidationReport validate(IFile xslFile , boolean forceBuild)`

Validate the given XSL file. Same as `validate(xslFile,report,forceBuild)` except a new report is created and returned.

### Parameters

`xslFile` - the XSL file

`forceBuild` - true if build should always be forced

### Returns

`ValidationReport` - the validation report

### Throws:

`CoreException - if any exception occurs while validating`

## validate

`public void validate(IFile xslFile , org.eclipse.wst.xsl.core.internal.validation.XSLValidationReport report , boolean forceBuild)`

Validate the given XSL file using the specified report.

### Parameters

`xslFile` - the XSL file

`report` - the report to use for reporting validation errors

`forceBuild` - true if build should always be forced

### Throws:

`CoreException - if any exception occurs while validating`